<?php
//$id;

/**
 * @file
 */

/**
 * form definition for the admin settings
 */
function advanced_blockqueue_admin_form(){
	$form = array();

	$options = array(1 => t('Inherit blockvisibility'),2 => t('Force blockvisibility'));

	$form['advanced_blockqueue_visibility'] = array(
		'#title' => t('Block visibility'),
		'#type' => 'select',
		'#options' => $options,
		'#default_value' => variable_get('advanced_blockqueue_visibility',''),
		'#description' => t('Forcing the blockvisibility will ignore any visibility settings made for a given block. ' .
				'When using the Inherit option, the blockvisibility will be respected.'),
	);
	
	$form['advanced_blockqueue_exclude'] = array(
		'#title' => t('Exclude icon from the following pages'),
		'#type' => 'textarea',
		'#description' => t('Enter pages that won\'t have the Advanced Blockqueue Item in the upper right corner. You can 
			user * as wildcart. One page per line.'),
		'#default_value' => variable_get('advanced_blockqueue_exclude',''),
	);
	
	$form['advanced_blockqueue_enable_referencing'] = array(
		'#title' => t('Enable referencing option'),
		'#type' => 'checkbox',
		'#description' => t('If checked, other blockqueues may be referenced. WARNING: this functionality is still under development'),
		'#default_value' => variable_get('advanced_blockqueue_enable_referencing',''),
	);
	
	$form['advanced_blockqueue_enable_autocompletion'] = array(
		'#title' => t('Enable autocompletion'),
		'#type' => 'checkbox',
		'#default_value' => variable_get('advanced_blockqueue_enable_autocompletion',1),
		'#description' => t('If checked the autocompletion option will be disabled'),
	);
	return system_settings_form($form);
}